Package org.apache.sling.distribution.event

# Class DistributionEvent

java.lang.Object
org.apache.sling.distribution.event.DistributionEvent

public class DistributionEvent extends Object

## Constructor Summary

Constructors
Constructor
Description
`DistributionEvent(String packageId, String componentName, String componentKind, String distType, String[] distPaths, String[] distDeepPaths)`

## Method Summary

Modifier and Type
Method
Description
`static DistributionEvent`
`fromEvent(org.osgi.service.event.Event event)`
`String`
`getComponentKind()`
`String`
`getComponentName()`
`String[]`
`getDistDeepPaths()`
`String[]`
`getDistPaths()`
`String`
`getDistType()`
`String`
`getPackageId()`
`org.osgi.service.event.Event`
`toEvent(String topic)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DistributionEvent

public DistributionEvent(String packageId, String componentName, String componentKind, String distType, String[] distPaths, String[] distDeepPaths)

## Method Details

### getPackageId

public String getPackageId()

### getComponentName

public String getComponentName()

### getComponentKind

public String getComponentKind()

### getDistType

public String getDistType()

### getDistPaths

public String[] getDistPaths()

### getDistDeepPaths

public String[] getDistDeepPaths()

### toEvent

public org.osgi.service.event.Event toEvent(String topic)

### fromEvent

public static DistributionEvent fromEvent(org.osgi.service.event.Event event)